/*
Theme Name: Astra-child
Template: astra
*/

:root {
  --ast-border-color: #a2a2a2;
}

.block {
  display: block;
}

.flex {
  display: flex;
}

.mb-10 {
  margin-bottom: 10px;
}

.space-x-15 > *:not(:first-child) {
  margin-left: 15px !important;
}

.rounded {
  border-radius: 8px !important;
}

/* Основные стили для Оформить заказ */

.graph-modal__content .woocommerce-billing-fields input.rounded,
.graph-modal__content .woocommerce-billing-fields select.rounded {
  background: rgba(0, 0, 0, 0.1);
  border: none;
}

.graph-modal__content .woocommerce-billing-fields label {
  color: #888888;
}

.graph-modal__content .form-add-delivery .button.alt.wp-element-button {
  margin-top: 10px;
  margin-left: auto;
  margin-right: auto;
  border-radius: 8px;
  background: #000;
  color: #fff;
  display: block;
}

.graph-modal__content .form-add-delivery .button.alt.wp-element-button:hover {
  color: gray;
}

.woocommerce .custom-checkout-wrapper .label-title {
  font-size: 16px;
  text-transform: uppercase;
}

.custom-checkout-wrapper {
  display: flex;
  justify-content: center;
  max-width: 700px;
  margin: 0 auto;
  padding: 0 15px;
}

.custom-checkout-wrapper > .checkout {
  width: 100%;
}

.custom-checkout-wrapper
  .woocommerce-billing-fields__field-wrapper
  input[type="radio"] {
  display: none;
}

.custom-checkout-wrapper
  .woocommerce-billing-fields__field-wrapper
  input[type="radio"]
  + label {
  padding: 10px;
  border-radius: 8px;
  transition: all 0.3s linear;
  cursor: pointer;
}

.custom-checkout-wrapper
  .woocommerce-billing-fields__field-wrapper
  input[type="radio"]:checked
  + label {
  background: rgba(0, 0, 0, 0.15);
}

.billing-fields {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 10px;
  max-width: 210px;
}

.custom-checkout-wrapper
  .woocommerce-billing-fields__field-wrapper
  .billing-fields
  input[type="radio"]
  + label {
  width: 100px;
  text-align: center;
  font-size: 12px;
  line-height: 1.2em;
  font-weight: 400;
  border: 1px solid var(--ast-border-color);
  border-radius: 8px;
}

.custom-checkout-wrapper
  .woocommerce-billing-fields__field-wrapper
  .billing-fields
  input[type="radio"]:checked
  + label {
  background: rgba(0, 0, 0);
  color: #fff;
}

/* Добавить новый адрес - кнопка */
.order-delivery-add {
  display: inline-flex;
  align-items: center;
  cursor: pointer;
  font-weight: 500;
}

.order-delivery-add .icon {
  width: 30px;
  height: 30px;
  margin-right: 5px;
  background: rgba(0, 0, 0, 0.05);
  border-radius: 8px;
  border: 2px solid var(--ast-border-color);
}

.billing-delivery-item {
  margin-bottom: 5px;
  display: inline-block;
}

.order-delivery-desc {
  margin-top: 10px;
  color: gray;
  font-weight: 500;
  font-size: 13px;
}

.order-delivery-time-info {
  display: none;
}

.order-delivery-time-info.on {
  display: block;
}

input[type="datetime-local"] {
  max-width: 250px;
  display: inline-block;
  margin-top: 10px;
  padding: 10px;
}

.woocommerce .custom-checkout-wrapper .checkout .button {
  color: #000;
  font-weight: 500;
  padding: 1em 2em;
  border-radius: 8px;
  background: none;
  border: 1px solid #000;
  text-align: center;
}

.woocommerce .custom-checkout-wrapper .checkout .form-row.line {
  padding-bottom: 15px;
  border-bottom: 1px solid #eee;
}

.custom-counter {
  width: 100%;
}

.custom-counter__btn {
  border-top: 1px solid var(--ast-border-color);
  border-bottom: 1px solid var(--ast-border-color);
  padding: 0.75em;
  color: #666;
  font-size: 18px;
  font-weight: 500;
  background: none;
}

.custom-counter .custom-counter__btn--minus {
  border-left: 1px solid var(--ast-border-color);
  border-radius: 8px 0 0 8px;
}

.custom-counter .custom-counter__btn--plus {
  border-right: 1px solid var(--ast-border-color);
  border-radius: 0 8px 8px 0;
}

.custom-counter input {
  border-right: none;
  border-left: none;
  text-align: center;
  font-weight: bold;
}

.order-delivery-time-info-box {
  margin-top: 10px;
  display: flex;
  gap: 10px;
}

/**************************\
  Basic Modal Styles
\**************************/

.modal {
  font-family: -apple-system, BlinkMacSystemFont, avenir next, avenir,
    helvetica neue, helvetica, ubuntu, roboto, noto, segoe ui, arial, sans-serif;
}

.modal__overlay {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgba(0, 0, 0, 0.6);
  display: flex;
  justify-content: center;
  align-items: center;
}

.modal__container {
  background-color: #fff;
  padding: 30px;
  max-width: 500px;
  max-height: 100vh;
  border-radius: 4px;
  overflow-y: auto;
  box-sizing: border-box;
}

.modal__header {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.modal__title {
  margin-top: 0;
  margin-bottom: 0;
  font-weight: 600;
  font-size: 1.25rem;
  line-height: 1.25;
  color: #00449e;
  box-sizing: border-box;
}

.modal__close {
  background: transparent;
  border: 0;
}

.modal__header .modal__close:before {
  content: "\2715";
}

.modal__content {
  margin-top: 2rem;
  margin-bottom: 2rem;
  line-height: 1.5;
  color: rgba(0, 0, 0, 0.8);
}

.modal__btn {
  font-size: 0.875rem;
  padding-left: 1rem;
  padding-right: 1rem;
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
  background-color: #e6e6e6;
  color: rgba(0, 0, 0, 0.8);
  border-radius: 0.25rem;
  border-style: none;
  border-width: 0;
  cursor: pointer;
  -webkit-appearance: button;
  text-transform: none;
  overflow: visible;
  line-height: 1.15;
  margin: 0;
  will-change: transform;
  -moz-osx-font-smoothing: grayscale;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  -webkit-transform: translateZ(0);
  transform: translateZ(0);
  transition: -webkit-transform 0.25s ease-out;
  transition: transform 0.25s ease-out;
  transition: transform 0.25s ease-out, -webkit-transform 0.25s ease-out;
}

.modal__btn:focus,
.modal__btn:hover {
  -webkit-transform: scale(1.05);
  transform: scale(1.05);
}

.modal__btn-primary {
  background-color: #00449e;
  color: #fff;
}

/**************************\
  Demo Animation Style
\**************************/
@keyframes mmfadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

@keyframes mmfadeOut {
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
  }
}

@keyframes mmslideIn {
  from {
    transform: translateY(15%);
  }
  to {
    transform: translateY(0);
  }
}

@keyframes mmslideOut {
  from {
    transform: translateY(0);
  }
  to {
    transform: translateY(-10%);
  }
}

.micromodal-slide {
  display: none;
}

.micromodal-slide.is-open {
  display: block;
}

.micromodal-slide[aria-hidden="false"] .modal__overlay {
  animation: mmfadeIn 0.3s cubic-bezier(0, 0, 0.2, 1);
}

.micromodal-slide[aria-hidden="false"] .modal__container {
  animation: mmslideIn 0.3s cubic-bezier(0, 0, 0.2, 1);
}

.micromodal-slide[aria-hidden="true"] .modal__overlay {
  animation: mmfadeOut 0.3s cubic-bezier(0, 0, 0.2, 1);
}

.micromodal-slide[aria-hidden="true"] .modal__container {
  animation: mmslideOut 0.3s cubic-bezier(0, 0, 0.2, 1);
}

.micromodal-slide .modal__container,
.micromodal-slide .modal__overlay {
  will-change: transform;
}

.radio-tabs label svg {
  width: 20px;
  object-fit: contain;
}

.woocommerce form .form-row .radio-tabs label {
  display: inline-flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.order-custom-price {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background: #000;
  color: #e6e6e6;
  padding: 20px;
  font-weight: 500;
  margin: 0 -15px;
}

.order-custom-price p {
  margin-bottom: 0;
}

.order-custom-submit {
  padding-top: 15px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.order-custom-submit__count > span {
  font-weight: 500;
  font-size: 12px;
  text-transform: uppercase;
}

.order-custom-submit__count p {
  font-size: 18px;
  font-weight: 700;
  margin-bottom: 0;
}

#order_review {
  display: none;
}
